@echo off
if "%1" == "" goto usage
if "%2" == "" goto usage

if not exist t2.exe goto nofile
if not exist tarot2.doc goto nofile

if "%2" == "v" goto V
if not "%2" == "V" goto ega
:V
if not exist card_16.exe goto novmode
md %1
copy readme.1st %1 
copy tarot2.doc %1
copy t2.exe %1
%1\t2.exe %1 *.* 
del %1\t2.exe
copy card_16.exe %1
%1\card_16.exe %1 *.*
del %1\card_16.exe
goto success

:ega
if "%2" == "e" goto E
if not "%2" == "E" goto svga
:E
if not exist card_ega.exe goto noemode
md %1
copy readme.1st %1 
copy tarot2.doc %1
copy t2.exe %1
%1\t2.exe %1 *.* 
del %1\t2.exe
copy card_ega.exe %1
%1\card_ega.exe %1 *.*
del %1\card_ega.exe
goto success

:svga
if "%2" == "s" goto S
if not "%2" == "S" goto usage
:S
if not exist card_256.exe goto nosmode
md %1
copy readme.1st %1 
copy tarot2.doc %1
copy t2.exe %1
%1\t2.exe %1 *.* 
del %1\t2.exe
copy card_256.exe %1
%1\card_256.exe %1 *.*
del %1\card_256.exe
goto success

:nofile
echo *******************************************************************************
echo *     One or more files are missing that are required to install and run      *
echo *     TAROT2. Read TAROT2.DOC for a list of the files you should have.        *
echo *******************************************************************************  
goto usage

:novmode
echo *******************************************************************************
echo *   The file CARD_16.EXE must be present on the source drive to install the   *
echo *   VGA cards. Read TAROT2.DOC for a list of the files you should have.       *
echo *******************************************************************************
goto usage

:nosmode
echo *******************************************************************************
echo *  The file CARD_256.EXE must be present on the source drive to install the   *
echo *  SVGA cards. Read TAROT2.DOC for a list of the files you should have.       *
echo *******************************************************************************  
goto usage

:noemode
echo *******************************************************************************
echo *  The file CARD_EGA.EXE must be present on the source drive to install the   *
echo *  EGA cards. Read TAROT2.DOC for a list of the files you should have.        *
echo *******************************************************************************  

:usage                                                                            
echo *******************************************************************************
echo *                                                                             *
echo *     Usage: INSTALL [path] [mode]                                            *
echo *                                                                             *
echo *      Where [path] is the drive and subdirectory where you want              *
echo *      TAROT2 installed. If the subdirectory doesn't exist it will be         *
echo *      created. Don't put a back slash "\" on the end of this parameter.      *
echo *      Where [mode] is V, E or S. V is for VGA, E is for EGA and S is for     *
echo *      SVGA.                                                                  *
echo *                                                                             *
echo *     Example:  INSTALL C:\TAROT2 V  to install the VGA version onto          *
echo *      the C: drive in the subdirectory TAROT2.                               *
echo *                                                                             *
echo *******************************************************************************
goto end
:success
%1\
cd %1
echo *******************************************************************************
echo *              TAROT2 installed. Type T2SW to start the program.              *
echo *           Read the files README.1ST, TAROT2.DOC and REGISTER.DOC.           *
echo *******************************************************************************
:end
